# std::bit_not<void>

From cppreference.com
< cpp‎ | utility‎ | functional

Defined in header `<functional>` |  |
template<> class bit_not<void>; |  | (since C++14)

std::bit_not <> is a specialization of std::bit_not with parameter and return type deduced.

### Member types

Member type | Definition
`is_transparent` | /* unspecified */

### Member functions

operator() | applies `operator~` to its argument (public member function)

## std::bit_not<>::operator()

template< class T > constexpr auto operator()( T&& arg ) const -> decltype(~std::forward <T>(lhs)); |  |

Returns the result of `~arg`.

### Parameters

arg | - | value to apply bitwise NOT to

### Return value

The result of ~arg.

### Notes

The member type `is_transparent` indicates to the caller that this function object is a transparent function object: it accepts arguments of arbitrary types and uses perfect forwarding, which avoids unnecessary copying and conversion when the function object is used in heterogeneous context, or with rvalue arguments. In particular, template functions such as std::set::find and std::set::lower_bound make use of this member type on their `Compare` types.

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/bit_not_void&oldid=105550"